using System;

internal sealed class Delegate109 : MulticastDelegate
{
	public extern string Invoke(ref long long_0);

	public static string smethod_0(ref long long_0, Delegate109 delegate109_1)
	{
		return delegate109_1(ref long_0);
	}

	public extern Delegate109(object object_0, IntPtr intptr_0);

	static Delegate109()
	{
		Class10.smethod_13(typeof(Delegate109).TypeHandle);
	}

	internal static Delegate109 delegate109_0;
}
